## org.eclipse.jet.xpath
Class XPathLexicalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.jet.xpath.XPathException
                  org.eclipse.jet.xpath.XPathLexicalException

All Implemented Interfaces:
  java.io.Serializable

    public class XPathLexicalException

extends XPathException

Represent a lexical exception

See Also:
  Serialized Form

Constructor Summary
`XPathLexicalException()`
`XPathLexicalException(java.lang.String arg0)`
`XPathLexicalException(java.lang.String arg0, java.lang.Throwable arg1)`
`XPathLexicalException(java.lang.Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathLexicalException

    public XPathLexicalException()

### XPathLexicalException

    public XPathLexicalException(java.lang.String arg0)

Parameters:
  `arg0` -

### XPathLexicalException

    public XPathLexicalException(java.lang.String arg0,
                                 java.lang.Throwable arg1)

Parameters:
  `arg0` -
  `arg1` -

### XPathLexicalException

    public XPathLexicalException(java.lang.Throwable arg0)

Parameters:
  `arg0` -

Copyright 2006 IBM Corporation and others. All Rights Reserved.